package com.xunmei.core.resumption.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.xunmei.common.core.vo.IdNameVo;
import com.xunmei.common.core.web.page.TableDataInfo;
import com.xunmei.core.resumption.domain.AppRule;
import com.xunmei.core.resumption.dto.appRule.AppRuleEditDto;
import com.xunmei.core.resumption.dto.appRule.AppRuleListForOrgDto;
import com.xunmei.core.resumption.vo.appRule.AppRuleInfoVo;
import com.xunmei.core.resumption.vo.appRule.AppRulePageVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author system
 * @since 2022-04-26
 */
public interface IAppRuleService extends IService<AppRule> {

    TableDataInfo getAppRulePage(AppRule appRule);

    List<AppRulePageVo> getAllAppRule();

    Long edit(AppRuleEditDto appRuleEditDto);

    //检查手册规范类型在检查项、检查要点是否一致
//    boolean  checkRuleTypeUniformity(Long id,  int ruletype);

    void del(Long id);


    AppRuleInfoVo get(Long id);

    List<IdNameVo> ruleListForOrg(AppRuleListForOrgDto dto);
}
